Bug 2053985 - zathura-pdf-mupdf-0.3.8 is available
Summary: zathura-pdf-mupdf-0.3.8 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zathura-pdf-mupdf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-13 19:09 UTC by Upstream Release Monitoring
Modified: 2022-05-07 04:28 UTC (History)
4 users (show)

Fixed In Version: zathura-pdf-mupdf-0.3.8-3.fc35 zathura-pdf-mupdf-0.3.8-3.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-28 05:51:18 UTC
Type: ---


Attachments (Terms of Use)
Update to 0.3.8 (#2053985) (1.20 KB, patch)
2022-02-13 19:09 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2022-02-13 19:09:07 UTC
Latest upstream release: 0.3.8
Current version/release in rawhide: 0.3.7-5.fc36
URL: https://pwmt.org/projects/zathura-pdf-mupdf/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/14846/

Comment 1 Upstream Release Monitoring 2022-02-13 19:09:13 UTC
Created attachment 1860889 [details]
Update to 0.3.8 (#2053985)

Comment 2 Upstream Release Monitoring 2022-02-13 19:13:21 UTC
the-new-hotness/release-monitoring.org's scratch build of zathura-pdf-mupdf-0.3.8-1.fc34.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=82780786

Comment 3 Michael J Gruber 2022-02-13 21:10:26 UTC
Heads-up: scratch build failed because of a missing tarball, which is fixed now.

There are more problems, though, due to a changed meson build file upstream (catering to debian). I'm on it since this is directly related to the way we package mupdf on Fedora. First tests seem to work (reverting upstream's meson build change):

F37 https://koji.fedoraproject.org/koji/taskinfo?taskID=82785325
F35 https://koji.fedoraproject.org/koji/taskinfo?taskID=82785070

Expect a PR tomorrow.

Comment 4 Michael J Gruber 2022-02-16 12:33:57 UTC
So, to conclude:
While I can get zathura-pdf-mupdf to build in Fedora I don't think it's worth it:

git log --oneline 0.3.7..0.3.8
c4583da (tag: 0.3.8) Merge branch 'release/0.3.8'
e6bbc27 Version 0.3.8
49a85ef Rework detection of mupdf
bc495b6 Update installation instructions
a95eb9d Merge branch 'mupdf-1.19' into 'develop'
3547a91 (mjg/mupdf-1.19, mupdf-1.19) link against tesseract/leptonica for mupdf 1.19.0
1e192df Merge tag '0.3.7' into develop

So there are only two code changes:

3547a91 we carry in Fedora anyways, and it's upstreamed now
49a85ef breaks builds in Fedora, and we basically need to revert it

So we would need to trade one patch (which is upstreamed) for another one which will never be upstreamed. None of them change any functionality.

Upstream thinks their new mupdf detection is the right way to go (I don't think so). Once mupdf switches to shared builds (at some point in the future) things are different anyways.

So I suggest to close as wontfix. (I pushed the necessary changes to mjg/zathura-pdf-mupdf nonetheless in case the maintainers decide differently, but no PR from me.)

Comment 5 Fedora Update System 2022-04-13 11:16:46 UTC
FEDORA-2022-a4676fa1df has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a4676fa1df

Comment 6 Fedora Update System 2022-04-13 15:19:23 UTC
FEDORA-2022-a4676fa1df has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-a4676fa1df`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a4676fa1df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-04-13 19:49:19 UTC
FEDORA-2022-90057185e6 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-90057185e6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-90057185e6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-04-20 13:34:31 UTC
FEDORA-2022-8569eb0af6 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8569eb0af6

Comment 9 Fedora Update System 2022-04-20 13:34:32 UTC
FEDORA-2022-253d8f36b2 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-253d8f36b2

Comment 10 Fedora Update System 2022-04-20 15:31:25 UTC
FEDORA-2022-8569eb0af6 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-8569eb0af6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8569eb0af6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-04-20 20:26:27 UTC
FEDORA-2022-253d8f36b2 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-253d8f36b2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-253d8f36b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-04-28 05:51:18 UTC
FEDORA-2022-253d8f36b2 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-05-07 04:28:20 UTC
FEDORA-2022-8569eb0af6 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.